## xapp-thumbnailers 1.2.8

=== meson_options.txt ===
option('py3modules_dir',
    type : 'string',
    value : '',
    description: 'Where to install python3 modules'
)

## xapp-thumbnailers 1.0.1

=== debian/changelog ===
xapp-thumbnailers (1.0.1) elsie; urgency=medium

  * mp3: Fix mimetype in .desktop file
  * Fix PIL import
  * mp3: Additional fixes
  * mp3: Simplify code
  * Add a common package and an epub thumbnailer
  * Remove test file
  * Add RAW thumbnailer
  * RAW: Don't rotate thumbnail
  * Add missing file
  * RAW: Add dependency on dcraw
  * RAW: Don't depend on imagemagick
  * common: Rotate image according to its EXIF rotation tag
  * Add AppImage thumbnailer
  * Update README.md

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Feb 2022 12:26:43 +0000

xapp-thumbnailers (1.0.0) elsie; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Feb 2022 16:21:00 +0000

=== debian/control ===
Source: xapp-thumbnailers
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Rules-Requires-Root: no

Package: xapp-thumbnailers-common
Architecture: all
Depends: python3, python3-pil
Description: Common files for XApp thumbnailers
 Common files for XApp thumbnailers.

Package: xapp-mp3-thumbnailer
Architecture: all
Depends: xapp-thumbnailers-common, python3-eyed3
Description: MP3 thumbnailer
 Produces thumbnails for MP3 files.

Package: xapp-epub-thumbnailer
Architecture: all
Depends: xapp-thumbnailers-common
Description: ePub thumbnailer
 Produces thumbnails for ePub files.

Package: xapp-raw-thumbnailer
Architecture: all
Depends: xapp-thumbnailers-common, dcraw
Description: RAW thumbnailer
 Produces thumbnails for RAW files.

Package: xapp-appimage-thumbnailer
Architecture: all
Depends: xapp-thumbnailers-common, python3-pyelftools, squashfs-tools
Description: AppImage thumbnailer
 Produces thumbnails for AppImage files.

## xapp-thumbnailers 1.2.0

=== debian/changelog ===
xapp-thumbnailers (1.2.0) victoria; urgency=medium

  [ Ruan Formigoni ]
  * appimage thumbnailer corner cases (#7)

  [ Oliver Kästner ]
  * feat: add thumbnailer for audio files with VorbisComment metadata (FLAC & Ogg) (#8)

  [ Leigh Scott ]
  * Use meson to install

  [ Michael Webster ]
  * Do a better job catching errors and exiting with the appropriate return code.
  * Improve some error output.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Jun 2023 14:06:25 +0100

## xapp-thumbnailers 1.2.1+victoria

=== debian/changelog ===
xapp-thumbnailers (1.2.1+victoria) victoria; urgency=medium

  [ mstrand ]
  * Execute external commands without involving the shell (#10)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 14:59:23 +0200

## xapp-thumbnailers 1.2.2

=== debian/changelog ===
xapp-thumbnailers (1.2.2) victoria; urgency=medium

  [ cracrayol ]
  * Add Panasonic RW2 support (#11)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Jul 2023 14:13:23 +0200

xapp-thumbnailers (1.2.1) victoria; urgency=medium

  [ mstrand ]
  * Execute external commands without involving the shell (#10)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 14:59:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Linux Mint <root@linuxmint.com>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9),
+ dh-python,
+ meson
 Standards-Version: 3.9.6
 Rules-Requires-Root: no
 
@@ -30,6 +32,13 @@
 Description: RAW thumbnailer
  Produces thumbnails for RAW files.
 
+Package: xapp-vorbiscomment-thumbnailer
+Architecture: all
+Depends: xapp-thumbnailers-common, python3-mutagen
+Description: VorbisComment thumbnailer
+ Produces thumbnails for audio files with VorbisComment metadata,
+ such as FLAC and Ogg files.
+
 Package: xapp-appimage-thumbnailer
 Architecture: all
 Depends: xapp-thumbnailers-common, python3-pyelftools, squashfs-tools

## xapp-thumbnailers 1.2.3

=== debian/changelog ===
xapp-thumbnailers (1.2.3) virginia; urgency=medium

  [ Michael Webster ]
  * Replace PIL.Image.ANTIALIAS with LANCZOS

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 11:25:43 +0000

## xapp-thumbnailers 1.2.4

=== debian/changelog ===
xapp-thumbnailers (1.2.4) wilma; urgency=medium

  [ Michael Webster ]
  * Add gimp thumbnailer.
  * xapp-gimp-thumbnailer: Clean up, use f-strings, don't let gimp load unnecessary resources, add xcursor to supported mimetypes.
  * Add build workflow.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Jun 2024 15:21:16 +0100

=== debian/control ===
--- 
+++ 
@@ -44,3 +44,9 @@
 Depends: xapp-thumbnailers-common, python3-pyelftools, squashfs-tools
 Description: AppImage thumbnailer
  Produces thumbnails for AppImage files.
+
+Package: xapp-gimp-thumbnailer
+Architecture: all
+Depends: xapp-thumbnailers-common
+Description: Gimp thumbnailer
+ Produces thumbnails for Gimp xcf files.

## xapp-thumbnailers 1.2.5

=== debian/changelog ===
xapp-thumbnailers (1.2.5) wilma; urgency=medium

  [ Michael Webster ]
  * Add JPEG XL thumbnailer.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Jun 2024 17:01:23 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: xapp-thumbnailers-common
 Architecture: all
-Depends: python3, python3-pil
+Depends: python3, python3-pil, gir1.2-xapp-1.0 (>= 2.4.2)
 Description: Common files for XApp thumbnailers
  Common files for XApp thumbnailers.
 
@@ -25,6 +25,12 @@
 Depends: xapp-thumbnailers-common
 Description: ePub thumbnailer
  Produces thumbnails for ePub files.
+
+Package: xapp-jxl-thumbnailer
+Architecture: all
+Depends: xapp-thumbnailers-common, libjxl-tools
+Description: JPEG XL thumbnailer
+ Produces thumbnails for JPEG XL files.
 
 Package: xapp-raw-thumbnailer
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D py3modules_dir=/usr/lib/python3/dist-packages

## xapp-thumbnailers 1.2.6

=== debian/changelog ===
xapp-thumbnailers (1.2.6) xia; urgency=medium

  [ Michael Webster ]
  * Cleanup some pyflakes complaints.
  * xapp-appimage-thumbnailer: Use XApp.get_tmp_dir()
  * Add OpenRaster (.ora) thumbnailer.
  * xapp-appimage-thumbnailer: Add missing import.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 11:58:00 +0000

=== debian/control ===
--- 
+++ 
@@ -56,3 +56,10 @@
 Depends: xapp-thumbnailers-common
 Description: Gimp thumbnailer
  Produces thumbnails for Gimp xcf files.
+
+Package: xapp-ora-thumbnailer
+Architecture: all
+Depends: xapp-thumbnailers-common
+Description: OpenRaster thumbnailer
+ Produces thumbnails for OpenRaster (.ora) files.
+

## xapp-thumbnailers 1.2.7

=== debian/changelog ===
xapp-thumbnailers (1.2.7) zara; urgency=medium

  [ Ahsan David Pérez Bermúdez ]
  * Adding thumbnailer for .aiff files (#15)
  * Fix bug in aiff extractor (#16)
  * Another improvement to aiff thumbnailer (#18)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Jul 2025 15:19:44 +0200

## xapp-thumbnailers 1.2.8

=== debian/changelog ===
xapp-thumbnailers (1.2.8) zara; urgency=medium

  [ Ahsan David Pérez Bermúdez ]
  * Updating MimeType and deleting checking the extension in the aiff thumbnailer (#19)

  [ Michael Webster ]
  * xapp-aiff-thumbnailer: Fix exit handling.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Jul 2025 14:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -63,3 +63,8 @@
 Description: OpenRaster thumbnailer
  Produces thumbnails for OpenRaster (.ora) files.
 
+Package: xapp-aiff-thumbnailer
+Architecture: all
+Depends: xapp-thumbnailers-common, python3-mutagen
+Description: AIFF thumbnailer
+ Produces thumbnails for aiff files.

## xapp-thumbnailers 1.2.9

=== debian/changelog ===
xapp-thumbnailers (1.2.9) zena; urgency=medium

  * Add .gitignore

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Nov 2025 15:20:06 +0000
